using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Prepisivaci
{
    class Program
    {
        struct Takmicar
        {
            public int x, y;
        }

        static int Broj(Takmicar[] a)
        {
            int br = 0;
            for (int i = 0; i < a.Length; i++)
            {
                for (int j = i+1; j < a.Length-2; j++)
                {
                    if (a[i].y+a[j].y==2*(a[j+1].y + a[j+2].y))
                    {
                        br++;
                    }
                }
            }
            return br;
        }

        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());

            while (n<=1 || n>=1500)
            {
                n = int.Parse(Console.ReadLine());
            }
            Takmicar[] a = new Takmicar[n];

            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                a[i].x = int.Parse(s[0]);
                a[i].y = int.Parse(s[1]);
                if (a[i].x <= -Math.Pow(-10,8) || a[i].x >= Math.Pow(10,8) || a[i].y <= -Math.Pow(-10,8) || a[i].y >= Math.Pow(10,8))
                {
                   // Console.WriteLine("Greska");
                    s = Console.ReadLine().Split();
                    a[i].x = int.Parse(s[0]);
                    a[i].y = int.Parse(s[1]);
                }

            }
            Console.WriteLine("Broj je " + Broj(a));
            Console.ReadKey();
        }
    }
}